explain_tcsendbreak_or_die(3)

NAME
explain_tcsendbreak_or_die - send terminal line break and report errors

SYNOPSIS
#include <libexplain/tcsendbreak.h>

void explain_tcsendbreak_or_die(int fildes, int duration);
int explain_tcsendbreak_on_error(int fildes, int duration);

DESCRIPTION
The explain_tcsendbreak_or_die function is used to call the tcsendbreak(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcsendbreak(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tcsendbreak_on_error function is used to call the tcsendbreak(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcsendbreak(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the tcsendbreak(3) system call.

duration
    The duration, exactly as to be passed to the tcsendbreak(3) system call.

RETURN VALUE
The explain_tcsendbreak_or_die function only returns on success, see tcsendbreak(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tcsendbreak_on_error function always returns the value return by the wrapped tcsendbreak(3) system call.

EXAMPLE
The explain_tcsendbreak_or_die function is intended to be used in a fashion similar to the following example:
    explain_tcsendbreak_or_die(fildes, duration);

SEE ALSO

tcsendbreak(3)
    send terminal line break

explain_tcsendbreak(3)
    explain tcsendbreak(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller